# set command line options for EndEnrichmentInternalControl.pl
mr=1
mf=500
mode="GeomMean"

# run EndEnrichmentInternalControl.pl for all bam files
for bam in $(ls *.bam)
do
  bn=$(basename $bam .bam)
  perl EndEnrichmentInternalControl.pl -mode $mode -mr $mr -mf $mf -bam $bam -bg ${bn}_${mode}_${mr}_${mf} > ${bn}_${mode}_${mr}_${mf}.tsv
  gzip ${bn}_${mode}_${mr}_${mf}.fwd.bg
  gzip ${bn}_${mode}_${mr}_${mf}.rev.bg
done

# merge results from each replica
# set command line options for merge_replikas_InternalEnrichment.pl
minSample=3
maxPval=0.05

# merge_replikas_InternalEnrichment.pl calculates the geometric mean of pvalues for each genomic position across all replika
# sites are reported if site was seen in at least in $minSample samples and has a geometric mean accross all p-values <= $maxPval
perl merge_replikas_InternalEnrichment.pl -pv $maxPval -ms $minSample $(ls *_${mode}_${mr}_${mf}.tsv) > mergedResults_${mode}_${mr}_${mf}_${maxPval}_${minSample}.tsv 
